Deze website maakt gebruik van cookies. Waarom? Klik hier voor ons privacy- en cookiebeleid. Door op akkoord te klikken of door gebruik te blijven maken van deze website geeft u aan akkoord te zijn met het gebruik van cookies.

Akkoord

Vraag & Antwoord

OS Linux

sndconfig probleem

None
26 antwoorden
  • Ik probeer mijn geluidkaart : SoundMax Integrated Digital Audio aan de praat te krijgen met sndconfig en krijg hierbij de volgende foutmelding:

    [code:1:729becbd7b]
    You don't seem to be running a kernel with modular sound enabled. (soundcore.o was not found in the module search path). To use sndconfig, you must be running a kernel with modular sound, such as the kernel images shipped with Debian Linux or a 2.2 or greater kernel. [/code:1:729becbd7b]

    Ik gebruik kernel 2.6.7 en als volgt geconfigureerd:
    <M>Sound Card Support
    <M>Advanced linux sound achitecture
    <M>OSS mixer api
    <M>OSS PCM
    <M> Intel i8x0/MX440, SiS 7012; Ali 5455; NForce Audio; AMD768/8111
    <M> Intel i8x0/MX440; AMD768/8111 modems (EXPERIMENTAL)

    O.S.: Debian Unstable
    Computer: HP nc8000 (Laptop)

    Iemand een idee wat ik fout doe?
  • [quote:c8749c0f99="Kopskops"]soundcore.o was not found in the module search path[/quote:c8749c0f99] Met soundcore wordt deze bedoelt
    [code:1:c8749c0f99]
    <M> Sound card support
    Advanced Linux Sound Architecture —>
    Open Sound System —> [/code:1:c8749c0f99]

    Dus als je in de map /lib/modules/<kernel versie>/kernel/sound de module soundcore.ko hebt, zou het moeten werken.
  • [quote:c475a4bd65]Dus als je in de map /lib/modules/<kernel versie>/kernel/sound de module soundcore.ko hebt, zou het moeten werken.[/quote:c475a4bd65]

    Ik heb deze map niet en dus ook geen soundcore.ko. Ik heb wel de map /lib/modules/2.6.7/kernel.
    Hier zal dus het probleem liggen, maar hoe kan ik dit oplossen?

    [code:1:c475a4bd65]<M> Sound card support
    Advanced Linux Sound Architecture —>
    Open Sound System —>[/code:1:c475a4bd65]

    Heb ik ook ingesteld.
  • [quote:0dafb0407b="Kopskops"]Ik heb deze map niet en dus ook geen soundcore.ko. Ik heb wel de map /lib/modules/2.6.7/kernel. Hier zal dus het probleem liggen, maar hoe kan ik dit oplossen? [/quote:0dafb0407b] En heb je na save en exit, [b:0dafb0407b] make [/b:0dafb0407b] en [b:0dafb0407b] make modules_install [/b:0dafb0407b] kunnen uitvoeren zonder foutmeldingen?
  • ik heb na save en exit de volgende commando's uitgevoerd:
    [code:1:f1776d6f32]>make-kpkg –revision 1.0 kernel_image[/code:1:f1776d6f32]
    en het in /usr/src gecreerde debian pakketje geinstalleerd met: dpkg -i

    ik heb dus nog geen [b:f1776d6f32]make modules_install[/b:f1776d6f32] uitgevoerd. :oops:
  • Was bij mijn laptop ook….

    http://home.hetnet.nl/~lare1966/t6000.htm

    Punt E
  • Ik heb inmiddels de modules geinstalleerd.
    [code:1:497f69c7a2]>make modules
    >make modules_install[/code:1:497f69c7a2]
    en heb nu de map /lib/modules/2.6.7/kernel/sound met daarin soundcore.ko, maar het werkt nu nog steeds niet.

    De foutmelding van sndconfig vraagt om soundcore.o
  • Probeer Knoppix eens; gewoon eens kijken of die het doet en dan kijken welke modules hij ervoor gebruikt. En/of de alsa-drivers proberen. Zoals in mijn link verteld staat.
  • Helaas heb ik geen knoppix en ook geen snelle adsl verbinding om het te downloaden.
    Is er misschien ook een andere oplossing?
  • [quote:e43e4d8764="Kopskops"]en heb nu de map /lib/modules/2.6.7/kernel/sound met daarin soundcore.ko, maar het werkt nu nog steeds niet. De foutmelding van sndconfig vraagt om soundcore.o [/quote:e43e4d8764] En als je nu als superuser in een console typt
    [code:1:e43e4d8764]
    /sbin/modprobe soundcore
    [/code:1:e43e4d8764][Enter]
    En wat toont dan
    [code:1:e43e4d8764]
    /sbin/lsmod
    [/code:1:e43e4d8764][Enter]

    Ik had zelf onlangs Debian testing/unstable geïnstalleerd. Ik had 'm geïnstalleerd met de boot optie
    [code:1:e43e4d8764]
    linux26
    [/code:1:e43e4d8764][Enter] zodat kernel 2.6.5 werd geïnstalleerd. Om mijn geluidskaart, een Creative SBLive te laten werken, heb ik niets hoeven doen. Want deze werkte direct. Ik heb even gekeken in config bestand /boot/config-2.6.5-1-386. Zo te zien is de voor geïnstalleerde kernel 2.6.5 nogal breed voor gecompileerd. Dus ook met de modules die jouw SoundMax Integrated Digital Audio nodig heeft.
  • @MrLeeJohn
    ik heb het nu geprobeerd met alsaconf. Mijn geluidskaart wordt zo te zien herkent intel8x0, maar geluid geven ho maar. Ik heb ook gekeken naar /etc/modules.conf zoals op je site staat , maar kan daar geen rare dingen in vinden.

    —-

    Ik heb zelf eerst debian woody geinstalleerd en daarna geupgrade naar sid. Dit heb ik gedaan met cd's, omdat ik geen snellle adsl verbinding heb. Daarna heb ik de kernel geupgrade naar 2.6.7.

    —–
    @jolo
    Wat ik nooit heb begrepen s wat een superuser is. Is dat hetzelfde als root?
    Ik heb de commando's als root ingetikt
    /sbin/modprobe soundcore geeft geen foutmelding.
    /sbin/lsmod geeft de volgende output:
    [code:1:0dc366b352]Module Size Used by
    nls_cp437 5220 -
    8250 18496 -
    serial_core 18596 -
    usbkbd 5828 -
    usbcore 98048 -
    [/code:1:0dc366b352]
  • > maar geluid geven ho maar

    Standaard staat in alsa het geluid uit. Moet je met de alsa-tools het geluid aan zetten. Misschien toch een idee om je daarin te verdiepen…. hij wordt namelijk wel gedetcteerd.
  • ik heb het volgende gevonden in de Alsa-sound-mini-HOWTO en uitgevoerd:
    [code:1:86c688d49b]amixer set -c 1 Master 70 unmute
    amixer set -c 1 PCM 70 unmute
    amixer set -c 1 CD 70 unmute
    [/code:1:86c688d49b]
    Maar nog steeds geen geluid.
  • Is alweer even geleden dat ik dat maakte…. maar ik startte volgens mij een gui-tool van de alsa-driver, waarin ik het volume omhoog moest zetten…
  • [quote:7a34a7b8ed="Kopskops"]Ik heb zelf eerst debian woody geinstalleerd en daarna geupgrade naar sid. Dit heb ik gedaan met cd's, omdat ik geen snellle adsl verbinding heb. Daarna heb ik de kernel geupgrade naar 2.6.7. [/quote:7a34a7b8ed] Wellicht had je dan toch beter kunnen kiezen voor Debian sarge "testing". Ik denk trouwens dat woody er niet voor bedoelt is om te upgraden naar unstable. Een clean install met boot optie [b:7a34a7b8ed] linux26 [/b:7a34a7b8ed] ligt dan meer voor de hand.

    [quote:7a34a7b8ed="MrLeeJohn"]Standaard staat in alsa het geluid uit.[/quote:7a34a7b8ed]Dat is dus distro afhankelijk. Toen ik Debian sarge had geïnstalleerd, die voor mijn Creative SBLive ook alsa gebruikt, stonden de regelaars goed voor het systeemgeluid dat je hoort als je in KDE inlogt. Voor de regelaars die nog op nul staan, vind ik Kmix wel een goede mixer.

    [quote:7a34a7b8ed="Kopskops"]Wat ik nooit heb begrepen s wat een superuser is. Is dat hetzelfde als root? [/quote:7a34a7b8ed] Het heeft wel dezelfde mogelijkheden als root. Echter inloggen als root heb je niet echt nodig. Meestal is het beter gewoon in te loggen als gewone user. Om vervolgens wanneer dat nodig is via [b:7a34a7b8ed] su [/b:7a34a7b8ed] superuser te worden. Als je echter niet meer kunt inloggen als gewone user, dan zou je wel kunnen proberen in te loggen als root.

    [quote:7a34a7b8ed="Kopskops"]Ik heb de commando's als root ingetikt
    /sbin/modprobe soundcore geeft geen foutmelding.
    /sbin/lsmod geeft de volgende output: [code:1:7a34a7b8ed]
    Module Size Used by
    nls_cp437 5220 -
    8250 18496 -
    serial_core 18596 -
    usbkbd 5828 -
    usbcore 98048 -[/code:1:7a34a7b8ed] [/quote:7a34a7b8ed] Ik had meer modules verwacht, zoals soundcore.

    Werkte het geluid trouwens wel met Debian woody?
  • Ik heb nog een ander probleem maar misschien heeft het ermee te maken. Ik probeer ook vpnclient van cisco te installeren en loop daarbij tegen het volgende probleem aan als ik in /etc/init.d het volgende commmando uitvoer:

    [code:1:b6ffc9e016]linux:/etc/init.d# ./vpnclient_init start
    Starting /usr/local/bin/vpnclient: insmod: error inserting '/lib/modules/2.6.7/CiscoVPN/cisco_ipsec': -1 Invalid module format
    Failed (insmod)

    linux:/etc/init.d# ls /lib/modules/2.6.7/CiscoVPN
    cisco_ipsec
    [/code:1:b6ffc9e016]
  • Denk niet dat het gerelateerd is. Maar bedenk wel dat sinds kernel 2.6 het vpn-gebeuren flink onder de loep genomen is. Is die client wel voor kernel 2.6?

    http://www.mcmaster.ca/cis/network/vpn/vpnclient_linux.htm
    http://netman.cis.mcmaster.ca/vpn/linuxguide.pdf

    Ik gok dat kernel 2.4 wel lukt….
  • Helaas hebben de linnks niet veel geholpen. Ik krijg nog steeds dezelfde foutmeldingen. Is het handiger om hier en aparte topic voor te openen?
  • Kun je doen…. maar test het eerst eens op een linux-systeem met kernel2.4.x

    Vwb dat alsa-spul…. http://www.alsa-project.org/ dan moet het toch lukken… ik gebruikte trouwens in 1e instantie alsamixer om het volume in te stellen.
  • Is het misschien mogelijk dat de 2.6.7. kernel niet overweg kan met modules voor de 2.4.x kernel?
    Ik zal de 2.4.x. kernel gaan uitproberen.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.